Skip to main content
GET
/
v1
/
customer-portal
/
seats
/
subscriptions
Go (SDK)
package main

import(
	"context"
	polargo "github.com/polarsource/polar-go"
	"os"
	"github.com/polarsource/polar-go/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := polargo.New()

    res, err := s.CustomerPortal.Seats.ListClaimedSubscriptions(ctx, operations.CustomerPortalSeatsListClaimedSubscriptionsSecurity{
        CustomerSession: polargo.Pointer(os.Getenv("POLAR_CUSTOMER_SESSION")),
    }, polargo.Pointer[int64](1), polargo.Pointer[int64](10))
    if err != nil {
        log.Fatal(err)
    }
    if res.ListResourceCustomerSubscription != nil {
        for {
            // handle items

            res, err = res.Next()

            if err != nil {
                // handle error
            }

            if res == nil {
                break
            }
        }
    }
}
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "amount": 123,
      "currency": "<string>",
      "recurring_interval": "day",
      "recurring_interval_count": 123,
      "status": "incomplete",
      "current_period_start": "2023-11-07T05:31:56Z",
      "current_period_end": "2023-11-07T05:31:56Z",
      "trial_start": "2023-11-07T05:31:56Z",
      "trial_end": "2023-11-07T05:31:56Z",
      "cancel_at_period_end": true,
      "canceled_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "ends_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z",
      "customer_id": "<string>",
      "product_id": "<string>",
      "discount_id": "<string>",
      "checkout_id": "<string>",
      "customer_cancellation_reason": "customer_service",
      "customer_cancellation_comment": "<string>",
      "product": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "trial_interval": "day",
        "trial_interval_count": 123,
        "name": "<string>",
        "description": "<string>",
        "visibility": "draft",
        "recurring_interval": "day",
        "recurring_interval_count": 123,
        "is_recurring": true,
        "is_archived": true,
        "organization_id": "<string>",
        "prices": [
          {
            "created_at": "2023-11-07T05:31:56Z",
            "modified_at": "2023-11-07T05:31:56Z",
            "id": "<string>",
            "source": "catalog",
            "amount_type": "<string>",
            "price_currency": "<string>",
            "tax_behavior": "location",
            "is_archived": true,
            "product_id": "<string>",
            "type": "<string>",
            "recurring_interval": "day",
            "price_amount": 123,
            "legacy": true
          }
        ],
        "benefits": [
          {
            "id": "<string>",
            "created_at": "2023-11-07T05:31:56Z",
            "modified_at": "2023-11-07T05:31:56Z",
            "type": "custom",
            "description": "<string>",
            "selectable": true,
            "deletable": true,
            "is_deleted": true,
            "organization_id": "<string>"
          }
        ],
        "medias": [
          {
            "id": "<string>",
            "organization_id": "<string>",
            "name": "<string>",
            "path": "<string>",
            "mime_type": "<string>",
            "size": 123,
            "storage_version": "<string>",
            "checksum_etag": "<string>",
            "checksum_sha256_base64": "<string>",
            "checksum_sha256_hex": "<string>",
            "last_modified_at": "2023-11-07T05:31:56Z",
            "version": "<string>",
            "service": "<string>",
            "is_uploaded": true,
            "created_at": "2023-11-07T05:31:56Z",
            "size_readable": "<string>",
            "public_url": "<string>"
          }
        ],
        "organization": {
          "created_at": "2023-11-07T05:31:56Z",
          "modified_at": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "name": "<string>",
          "slug": "<string>",
          "avatar_url": "<string>",
          "proration_behavior": "invoice",
          "allow_customer_updates": true,
          "customer_portal_settings": {
            "usage": {
              "show": true
            },
            "subscription": {
              "update_seats": true,
              "update_plan": true
            },
            "customer": {
              "allow_email_change": true
            }
          },
          "organization_features": {
            "member_model_enabled": false
          }
        }
      },
      "prices": [
        {
          "created_at": "2023-11-07T05:31:56Z",
          "modified_at": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "source": "catalog",
          "amount_type": "<string>",
          "price_currency": "<string>",
          "tax_behavior": "location",
          "is_archived": true,
          "product_id": "<string>",
          "type": "<string>",
          "recurring_interval": "day",
          "price_amount": 123,
          "legacy": true
        }
      ],
      "meters": [
        {
          "created_at": "2023-11-07T05:31:56Z",
          "modified_at": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "consumed_units": 123,
          "credited_units": 123,
          "amount": 123,
          "meter_id": "<string>",
          "meter": {
            "created_at": "2023-11-07T05:31:56Z",
            "modified_at": "2023-11-07T05:31:56Z",
            "id": "<string>",
            "name": "<string>"
          }
        }
      ],
      "pending_update": {
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "applies_at": "2023-11-07T05:31:56Z",
        "product_id": "<string>",
        "seats": 123
      },
      "seats": 123
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://polar.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.

Query Parameters

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

Response

Successful Response

items
CustomerSubscription · object[]
required
pagination
Pagination · object
required